### Encoding: latin1

### Name: cim
### Title: Clustered Image Maps (CIMs) ("heat maps")
### Aliases: cim cim.default cim.rcc cim.spls
### Keywords: multivariate iplot hplot graphs cluster

### ** Examples

## default method
data(nutrimouse)
X <- nutrimouse$lipid
Y <- nutrimouse$gene

cim(cor(X, Y))

## CIM representation for objects of class 'rcc'
nutri.res <- rcc(X, Y, lambda1 = 0.064, lambda2 = 0.008)

dends <- cim(nutri.res, dim = 3, xlab = "genes", 
             ylab = "lipids", margins = c(5, 6))

op <- par(mar = c(5, 4, 4, 4), cex = 0.8)                        
plot(dends$ddr, axes = FALSE, horiz = TRUE)
par(op)

## interactive 'zoom' 
## Not run: 
##D cim(nutri.res, dim = 3, zoom = TRUE)
##D ## select the region and "see" the zoom-out region
## End(Not run)

## CIM representation for objects of class 'spls'
data(liver.toxicity)
X <- liver.toxicity$gene
Y <- liver.toxicity$clinic

toxicity.spls <- spls(X, Y, ncomp = 3, keepX = c(50, 50, 50), 
                      keepY = c(10, 10, 10))

cim(toxicity.spls, dim = 3)



