### Encoding: latin1

### Name: network
### Title: Relevance Network for (Regularized) CCA and (sparse) PLS
###   regression
### Aliases: network.rcc network.spls network
### Keywords: multivariate graphs dplot hplot iplot

### ** Examples

require(igraph)

## network representation for objects of class 'rcc'
data(nutrimouse)
X <- nutrimouse$lipid
Y <- nutrimouse$gene
nutri.res <- rcc(X, Y, lambda1 = 0.064, lambda2 = 0.008)

network(nutri.res, ncomp = 3, threshold = 0.6)

## Changing the attributes of the network
network(nutri.res, ncomp = 3, threshold = 0.6,
        color.node = c("mistyrose", "lightcyan"),
        shape.node = c("circle", "rectangle"), 
        color.edge = c("blue", "red"),
        lty.edge = c("dashed", "solid"), 
        lwd.edge = c(2, 2), 
        show.edge.labels = TRUE)

## interactive 'threshold' 
## Not run: 
##D network(nutri.res, ncomp = 3, threshold = 0.55, interactive = TRUE)
##D ## select the 'threshold' and "see" the new network
## End(Not run)

## network representation for objects of class 'spls'
data(liver.toxicity)
X <- liver.toxicity$gene
Y <- liver.toxicity$clinic
toxicity.spls <- spls(X, Y, ncomp = 3,
                      keepX = c(50, 50, 50), keepY = c(10, 10, 10))
        
network(toxicity.spls, ncomp = 3, threshold = 0.8, 
        X.names = NULL, Y.names = NULL, keep.var = TRUE,
        color.node = c("mistyrose", "lightcyan"),
        shape.node = c("rectangle", "circle"),
        color.edge = c("blue", "red"),
        lty.edge = c("solid", "solid"), lwd.edge = c(1, 1), 
        show.edge.labels = FALSE, interactive = FALSE)



