### Encoding: latin1

### Name: plot3dIndiv
### Title: Plot of Individuals (Experimental Units) in three dimensions
### Aliases: plot3dIndiv plot3dIndiv.rcc plot3dIndiv.pls plot3dIndiv.spls
### Keywords: multivariate hplot dplot

### ** Examples

require(rgl)

## Not run: 
##D ## plot3d of individuals for objects of class 'rcc' 
##D data(nutrimouse)
##D X <- nutrimouse$lipid
##D Y <- nutrimouse$gene
##D nutri.res <- rcc(X, Y, lambda1 = 0.064, lambda2 = 0.008)
##D 
##D col = nutrimouse$diet
##D font = c(rep(1, 20), rep(3, 20))
##D plot3dIndiv(nutri.res, ind.names = nutrimouse$diet, 
##D                 axes.box = "box", font = font, col = col)
##D                                 
##D pch = c(rep("s", 20), rep("t", 20))
##D plot3dIndiv(nutri.res, ind.names = FALSE, axes.box = "both", 
##D                 col = col, cex = 1.5, pch = pch)
##D 
##D ## plot3d of individuals for objects of class 'pls' or 'spls'      
##D data(liver.toxicity)
##D X <- liver.toxicity$gene
##D Y <- liver.toxicity$clinic
##D toxicity.spls <- spls(X, Y, ncomp = 3, keepX = c(50, 50, 50), 
##D                       keepY = c(10, 10, 10))
##D                         
##D Time.Group = liver.toxicity$treatment[, "Time.Group"]                             
##D col <- rep(c("blue", "red", "darkgreen", "darkviolet"), c(16, 16, 16, 16))
##D plot3dIndiv(toxicity.spls, ind.names = Time.Group, 
##D                  col = col, cex = 0.8)            
##D                                                   
##D col <- rainbow(48)[Time.Group]
##D plot3dIndiv(toxicity.spls, ind.names = FALSE, 
##D                  col = col, cex = 0.3, axes.box = "both")                 
## End(Not run)



