### Encoding: latin1

### Name: plot3dVar
### Title: Plot of Variables in three dimensions
### Aliases: plot3dVar plot3dVar.rcc plot3dVar.pls plot3dVar.spls
### Keywords: multivariate hplot dplot

### ** Examples

require(rgl)

## Not run: 
##D ## 3D variable representation for objects of class 'rcc'
##D data(nutrimouse)
##D X <- nutrimouse$lipid
##D Y <- nutrimouse$gene
##D nutri.res <- rcc(X, Y, 0.064, 0.008)
##D 
##D # default
##D plot3dVar(nutri.res)
##D 
##D # cutoff active, labeling the variables
##D plot3dVar(nutri.res, cutoff = 0.7, X.label = TRUE, cex = c(0.8, 0.8))
##D 
##D ## 3D variable representation for objects of class 'pls' or 'spls'
##D data(liver.toxicity)
##D X <- liver.toxicity$gene
##D Y <- liver.toxicity$clinic
##D toxicity.spls.1 <- spls(X, Y, ncomp = 3, keepX = c(50, 50, 50), 
##D                         keepY = c(10, 10, 10))
##D         
##D plot3dVar(toxicity.spls.1, rad.in = 0.5, keep.var = TRUE, 
##D     cex = c(1, 0.8), main = "Variables 3D representation") 
##D 
##D toxicity.spls.2 <- spls(X, Y, ncomp = 3, keepX = c(10, 10, 10), 
##D                         keepY = c(10, 10, 10))
##D                                           
##D plot3dVar(toxicity.spls.2, rad.in = 0.5, keep.var = TRUE, 
##D     Y.label = TRUE, main = "Variables 3D representation", 
##D     label.axes.box = "axes")
## End(Not run)



