### Encoding: latin1

### Name: plotVar
### Title: Plot of Variables
### Aliases: plotVar plotVar.rcc plotVar.pls plotVar.spls
### Keywords: multivariate hplot dplot

### ** Examples

## variable representation for objects of class 'rcc'
data(nutrimouse)
X <- nutrimouse$lipid
Y <- nutrimouse$gene
nutri.res <- rcc(X, Y, lambda1 = 0.064, lambda2 = 0.008)

plotVar(nutri.res, comp1 = 1, comp2 = 2) #(default)

plotVar(nutri.res, comp1 = 1, comp2 = 2, cutoff = 0.5, 
        X.label = TRUE, Y.label = TRUE)

## variable representation for objects of class 'pls' or 'spls'
data(liver.toxicity)
X <- liver.toxicity$gene
Y <- liver.toxicity$clinic
toxicity.spls <- spls(X, Y, ncomp = 3, keepX = c(50, 50, 50), 
                      keepY = c(10, 10, 10))
        
plotVar(toxicity.spls, comp1 = 1, comp2 = 2, keep.var = TRUE, 
        Y.label = TRUE) 



